| Version: 3.2.5

Public Member Functions | List of all members
wxGridCornerHeaderRendererDefault Class Reference

`#include <wx/grid.h>`

Inheritance diagram for wxGridCornerHeaderRendererDefault:
[legend]

## Detailed Description

Default corner window renderer.

See also
  wxGridColumnHeaderRendererDefault, wxGridRowHeaderRendererDefault

Since
  2.9.1

## Public Member Functions

virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const
| Implement border drawing for the corner window. More...
Public Member Functions inherited from wxGridHeaderLabelsRenderer
virtual void | DrawLabel (const wxGrid &grid, wxDC &dc, const wxString &value, const wxRect &rect, int horizAlign, int vertAlign, int textOrientation) const
| Called by the grid to draw the specified label. More...

## Member Function Documentation

## ◆ DrawBorder()

virtual void wxGridCornerHeaderRendererDefault::DrawBorder | ( | const wxGrid & | grid,
|  | wxDC & | dc,
|  | wxRect & | rect
| ) |  | const

virtual

Implement border drawing for the corner window.

Implements wxGridHeaderLabelsRenderer.